Bug 131613 - Port update: games/flightgear and devel/simgear - Add a switch to build against new osg-devel port
Summary: Port update: games/flightgear and devel/simgear - Add a switch to build again...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-12 17:30 UTC by ganael.laplanche
Modified: 2009-02-18 23:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.52 KB, patch)
2009-02-12 17:30 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2009-02-12 17:30:02 UTC
This patch allows to build games/flightgear and devel/simgear against the new osg-devel port :

cd {PORTSDIR}/games/flightgear && make -DWITH_OSG_DEVEL install

Osg-2.7.x branch is recommended for games/flightgear to avoid rendering bugs, see : http://www.flightgear.org/version.html

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2009-02-13 02:59:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-02-18 23:05:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2009-02-18 23:05:51 UTC
amdmi3      2009-02-18 23:05:36 UTC

  FreeBSD ports repository

  Modified files:
    devel/simgear        Makefile 
    games/flightgear     Makefile 
  Log:
  - Add optional support for graphics/osg-devel, which should fix some rendering bugs
  
  PR:             131613
  Submitted by:   Ganael Laplanche <ganael dot laplanche at martymac dot com> (maintainer)
  
  Revision  Changes    Path
  1.30      +6 -1      ports/devel/simgear/Makefile
  1.57      +6 -1      ports/games/flightgear/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"